Returns a list of Schedule Projections and daily requirements.
Use this method if you want to get a list of Schedule Projections and daily requirements. Permissions: Unit users.
Query Parameters
- Type: stringFormat: uuidSchedule
Template I D - Type: stringFormat: date-timePeriod
Start Date the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
- Type: stringFormat: date-timePeriod
End Date the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Responses
Request Example for get/v2/StoreSchedule/ScheduleForecast
curl '/v2/StoreSchedule/ScheduleForecast?ScheduleTemplateID=C895A81E-0C20-42C0-B2DC-EAF43F9447BD' \
--header 'DCKey: YOUR_SECRET_TOKEN'
{
"DailyRequirements": [
{
"StationID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"MasterStationID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"BusinessDate": "2026-10-16T20:55:07.577Z",
"AllowedHours": 1
}
],
"Projections": [
{
"BusinessDate": "2026-10-16T20:55:07.577Z",
"StartTime": "2026-10-16T20:55:07.577Z",
"JobID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"TargetEmployees": 1,
"TargetHours": 1
}
],
"ForecastProjections": [
{
"BusinessDate": "2026-10-16T20:55:07.577Z",
"StartTime": "2026-10-16T20:55:07.577Z",
"ForecastType": "R",
"Amount": 1
}
],
"JobForecastTypes": [
{
"JobID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"ForecastTypes": [
"R"
]
}
],
"TemplateForecastType": "R"
}